Bug 113191 - does not recognize hebrew encoding
does not recognize hebrew encoding
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: a2ps (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-09 10:23 EST by Dan Kenigsberg
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.13b-60.fc7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 06:30:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch (Tzafrir Cohen's idea) (4.89 KB, patch)
2004-01-12 12:10 EST, Dan Kenigsberg
no flags Details | Diff

  None (edit)
Description Dan Kenigsberg 2004-01-09 10:23:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5b)
Gecko/20030831

Description of problem:
the current configuration files ignore iso-8859-8 completely, and does
not have the path to fonts-hebrew PostScript fonts registered.

The patch I am about to submit, corrects these two problems and allows
printing hebrew iso-8859-8 text files (in logical order)

Version-Release number of selected component (if applicable):
a2ps-4.13b-30

How reproducible:
Always

Steps to Reproduce:
echo שלום עולם | a2ps
-X iso8 -o hello.ps

Actual Results:  a2ps: unknown encoding `iso8'

Expected Results:  hebrew postscript file hello.ps

Additional info:

a patch can be found within
      http://ivrix.org.il/redhat/a2ps-4.13b-31.src.rpm
Comment 1 Dan Kenigsberg 2004-01-12 12:10:21 EST
Created attachment 96900 [details]
suggested patch (Tzafrir Cohen's idea)
Comment 2 Tim Waugh 2004-01-12 12:45:06 EST
Fixed package is a2ps-4.13b-32.  Thanks.
Comment 3 Dan Kenigsberg 2004-01-15 03:41:04 EST
No, thank *you*.
However, I noticed that in the spec you use .bison extension when
applying my .hebrew patch. This might confuse future debuggers. You
should decide if it's worth your time to change this. (unless it was
intentional in the first place, and I am being really stupid pointing
it out).
Comment 4 Tim Waugh 2004-01-15 05:17:58 EST
Oops.  Fixed in CVS.
Comment 5 Dan Kenigsberg 2007-01-24 06:13:07 EST
Comment on attachment 96900 [details]
suggested patch (Tzafrir Cohen's idea)

>--- a2ps-4.13/configure.in.hebrew	2004-01-09 15:29:44.000000000 +0200
>+++ a2ps-4.13/configure.in	2004-01-09 15:44:14.000000000 +0200
>@@ -8454,7 +8454,9 @@
> for ac_dir in /usr/share/fonts/default/Type1 \
>     /usr/share/fonts/default/ghostscript \
>     /usr/share/fonts/afms/adobe \
>-    /usr/X11R6/lib/X11/fonts/latin2/Type1/afm ;
>+    /usr/X11R6/lib/X11/fonts/latin2/Type1/afm \
>+    /usr/share/fonts/hebrew \
>+    /usr/share/fonts/he/Type1 ;
> do
>   if test "cd $ac_dir 2>/dev/null && echo *.afm"; then
>     ac_psfont_path="$ac_psfont_path:$ac_dir";
>--- a2ps-4.13/encoding/iso8.edf.hebrew	2004-01-09 15:44:03.000000000 +0200
>+++ a2ps-4.13/encoding/iso8.edf	2004-01-09 15:44:03.000000000 +0200
>@@ -0,0 +1,77 @@
>+# Description of the ISO-8859-8 encoding
>+# Copyright (c) 1988, 89, 90, 91, 92, 93 Miguel Santana
>+# Copyright (c) 1995, 96, 97, 98 Akim Demaille, Miguel Santana
>+#
>+
>+#
>+# This file is part of a2ps.
>+# 
>+# This program is free software; you can redistribute it and/or modify
>+# it under the terms of the GNU General Public License as published by
>+# the Free Software Foundation; either version 2, or (at your option)
>+# any later version.
>+#
>+# This program is distributed in the hope that it will be useful,
>+# but WITHOUT ANY WARRANTY; without even the implied warranty of
>+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
>+# GNU General Public License for more details.
>+#
>+# You should have received a copy of the GNU General Public License
>+# along with this program; see the file COPYING.  If not, write to
>+# the Free Software Foundation, 59 Temple Place - Suite 330,
>+# Boston, MA 02111-1307, USA.
>+#
>+
>+Name: ISO-8859-8
>+
>+# This text is reproduced by a courtesy of Roman Czyborra
>+# http://czyborra.com/charsets/iso8859.html
>+Documentation
>+The Hebrew (8bit) encoding
>+EndDocumentation
>+
>+# This file has been specifically adapted for use with Hebrew Culmus fonts
>+
>+# If there is an unknown font requested, use Courier
>+Default: MiriamMono-Book
>+
>+# Automatic spell checking :)
>+Substitute: 	Times			David
>+Substitute: 	Helvetica		Nachlieli-Light
>+Substitute: 	Helvetica-Bold		Nachlieli-Bold
>+Substitute:	Courier			MiriamMono-Book
>+Substitute:	Courier-Bold		MiriamMono-Bold
>+
>+Vector:
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+space exclam quotedbl numbersign dollar percent ampersand quotesingle
>+parenleft parenright asterisk plus comma hyphen period slash
>+zero one two three four five six seven
>+eight nine colon semicolon less equal greater question
>+at A B C D E F G
>+H I J K L M N O
>+P Q R S T U V W
>+X Y Z bracketleft backslash bracketright asciicircum underscore
>+grave a b c d e f g
>+h i j k l m n o
>+p q r s t u v w
>+x y z braceleft bar braceright asciitilde .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+space exclamdown cent sterling currency yen brokenbar section
>+dieresis copyright ordfeminine guillemotleft logicalnot hyphen registered macron
>+degree plusminus twosuperior threesuperior acute mu paragraph bullet
>+cedilla onesuperior ordmasculine guillemotright onequarter onehalf threequarters .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef .notdef
>+notdef .notdef .notdef .notdef .notdef .notdef .notdef underscoredbl
>+afii57664 afii57665 afii57666 afii57667 afii57668 afii57669 afii57670 afii57671
>+afii57672 afii57673 afii57674 afii57675 afii57676 afii57677 afii57678 afii57679 
>+afii57680 afii57681 afii57682 afii57683 afii57684 afii57685 afii57686 afii57687 
>+afii57688 afii57689 afii57690 .notdef .notdef .notdef .notdef .notdef 
>--- a2ps-4.13/encoding/encoding.map.hebrew
>+++ a2ps-4.13/encoding/encoding.map
>@@ -65,6 +65,9 @@
> iso7			iso7
> iso-8859-7		iso7
> 
>+iso8			iso8
>+iso-8859-8		iso8
>+
> # The following lines _are_not_an_error_.
> # This is the right correspondance between ISO-8859 names
> # and the Latin n nick name.
>--- a2ps-4.13/encoding/Makefile.in.hebrew
>+++ a2ps-4.13/encoding/Makefile.in
>@@ -140,8 +140,8 @@
> major_encodings = ascii.edf iso1.edf
> minor_encodings = \
> ms-cp1250.edf hp.edf mac.edf ibm-cp437.edf ibm-cp850.edf iso2.edf	\
>-iso3.edf iso4.edf iso5.edf iso7.edf iso9.edf iso10.edf iso13.edf	\
>-iso15.edf koi8.edf euc-jp.edf euc-kr.edf
>+iso3.edf iso4.edf iso5.edf iso7.edf iso8.edf iso9.edf iso10.edf	\
>+iso13.edf iso15.edf koi8.edf euc-jp.edf euc-kr.edf
> 
> @EXTENSIONS_TRUE@encodings_DATA = @EXTENSIONS_TRUE@encoding.map $(major_encodings) $(minor_encodings)
> @EXTENSIONS_FALSE@encodings_DATA = @EXTENSIONS_FALSE@encoding.map $(major_encodings)
Comment 6 Dan Kenigsberg 2007-01-24 06:27:42 EST
Oops, my (double) bad.
1. I did not notice in time that the hebrew patch to `configure' is applied
before autoconf is run. This is nonsense. The patch should be applied to
`configure.in' instead.

2. I mistakenly submitted this change to the patch as a comment. Please excuse
my bugzilla infamiliarity.

It would be nice if you could clear my mess!
Comment 7 Tim Waugh 2007-02-09 06:30:08 EST
I think this might already be fixed in 4.13b-60.fc7 (F7 test1).

Note You need to log in before you can comment on or make changes to this bug.